# DarDists: rh73 rh62

Summary: Debian's Advanced Packaging Tool with RPM support.
Name: apt
Version: 0.5.4cnc9
Release: 2.dag
Group: System Environment/Base
License: GPL
URL: http://moin.conectiva.com.br/AptRpm

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source0: http://moin.conectiva.com.br/files/AptRpm/attachments/%{name}-%{version}.tar.bz2
Source1: apt.conf
Source2: vendors.list
Patch0: apt-0.5.4-freshrpms.patch
Patch1: apt-0.5.4cnc7-rpmpriorities.patch
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: rpm-devel %{?rh73:, bzip2-devel, libstdc++-devel}
BuildRequires: zlib-devel %{?rh80:, bzip2-devel, libstdc++-devel}
BuildRequires: gettext

%description
A port of Debian's apt tools for RPM based distributions, or at least
originally for Conectiva and now Red Hat Linux. It provides the apt-get
utility that provides a simpler, safer way to install and upgrade packages.
APT features complete installation ordering, multiple source capability and
several other unique features.

%package devel
Summary: Development files and documentation for APT's libapt-pkg.
Group: Development/Libraries
PreReq: %{name} = %{version}

%description devel
This package contains the header files and static libraries for developing
with APT's libapt-pkg package manipulation library, modified for RPM.

%prep
%setup

%patch0 -p1 -b .httpversion
%patch1 -p1 -b .rpmpriorities

%{__perl} -pi -e 's|RPM APT-HTTP/1.3|Dag Apt Repository APT-HTTP/1.3|' methods/http.cc

cat <<EOF >sources.list
### Dag Apt Repository

# More information at:
#
#	http://dag.wieers.com/home-made/apt/

### Red Hat Linux 8.0
%{!?rh80:#}rpm http://apt.freshrpms.net redhat/8.0/en/i386 os updates
%{!?rh80:#}rpm-src http://apt.freshrpms.net redhat/8.0/en/i386 os updates

### Dag Apt Repository for Red Hat 8.0
%{!?rh80:#}rpm http://apt.sw.be redhat/8.0/en/i386 dag
%{!?rh80:#}rpm-src http://apt.sw.be redhat/8.0/en/i386 dag


### Red Hat Linux 7.3
%{!?rh73:#}rpm http://apt.freshrpms.net redhat/7.3/en/i386 os updates
%{!?rh73:#}rpm-src http://apt.freshrpms.net redhat/7.3/en/i386 os updates

### Dag Apt Repository for Red Hat 7.3
%{!?rh73:#}rpm http://apt.sw.be redhat/7.3/en/i386 dag
%{!?rh73:#}rpm-src http://apt.sw.be redhat/7.3/en/i386 dag


### Red Hat Linux 6.2
%{!?rh62:#}rpm http://apt.freshrpms.net redhat/6.2/en/i386 os updates
%{!?rh62:#}rpm-src http://apt.freshrpms.net redhat/6.2/en/i386 os updates

### Dag Apt Repository for Red Hat 6.2
%{!?rh62:#}rpm http://apt.sw.be redhat/6.2/en/i386 dag
%{!?rh62:#}rpm-src http://apt.sw.be redhat/6.2/en/i386 dag
EOF

%build
%configure 
%{__make} %{?_smp_mflags} NOISY="1"

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 \
		%{buildroot}%{_localstatedir}/cache/apt/{archives/partial,genpkglist,gensrclist} \
		%{buildroot}%{_localstatedir}/state/apt/lists/partial \
		%{buildroot}%{_libdir}/apt/methods \
		%{buildroot}%{_bindir} \
		%{buildroot}%{_includedir}/apt-pkg/ \
		%{buildroot}%{_mandir}/man{5,8} \
		%{buildroot}%{_sysconfdir}/apt
#%{__install} -m0755 bin/*.so.* %{buildroot}%{_libdir}/
#%{__install} -m0755 bin/*.a %{buildroot}%{_libdir}/
%{__cp} -av bin/*.so* %{buildroot}%{_libdir}/
%{__install} -m0755 bin/apt* bin/gen* tools/genbasedir %{buildroot}%{_bindir}/
%{__install} -m0755 bin/methods/* %{buildroot}%{_libdir}/apt/methods/
%{__install} -m0644 include/apt-pkg/* %{buildroot}%{_includedir}/apt-pkg/
%{__install} -m0644 doc/*.5 %{buildroot}%{_mandir}/man5/
%{__install} -m0644 doc/*.8 %{buildroot}%{_mandir}/man8/
%{__install} -m0644 rpmpriorities sources.list %{SOURCE1} %{SOURCE2} %{buildroot}%{_sysconfdir}/apt/
touch %{buildroot}%{_sysconfdir}/apt/preferences

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS* COPYING* README* TODO docs/examples/
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/apt/
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/apt/
%{_localstatedir}/cache/apt/
%{_localstatedir}/state/apt/

%files devel
%defattr(-, root, root, 0755)
#%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Thu Mar 20 2003 Dag Wieers <dag@wieers.com> - 0.5.4cnc9-1
- Cleaned up source.list (as in 0.5.5).

* Mon Feb 10 2003 Dag Wieers <dag@wieers.com> - 0.5.4cnc9-0
- Initial package. (using dar)
